package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class Tipologia.
 * @see sicura.entities.Tipologia
 * @author Hibernate Tools
 */
@Stateless
public class TipologiaHome {

	private static final Log log = LogFactory.getLog(TipologiaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(Tipologia transientInstance) {
		log.debug("persisting Tipologia instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(Tipologia persistentInstance) {
		log.debug("removing Tipologia instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public Tipologia merge(Tipologia detachedInstance) {
		log.debug("merging Tipologia instance");
		try {
			Tipologia result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public Tipologia findById(Integer id) {
		log.debug("getting Tipologia instance with id: " + id);
		try {
			Tipologia instance = entityManager.find(Tipologia.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
